using System.Collections.Generic;
using System.Threading.Tasks;
using MDL.Models;

namespace DAL.Interfaces
{
    public interface ITagTemplateRepository
    {
        Task<TagTemplateEntity> CreateAsync(TagTemplateEntity entity);
        Task<TagTemplateEntity> UpdateAsync(TagTemplateEntity entity);
        Task<bool> DeleteAsync(int id);
        Task<TagTemplateEntity> GetByIdAsync(int id);
        Task<TagTemplateEntity> GetByTagTypeAsync(string tagType);
        Task<List<TagTemplateEntity>> GetAllAsync();
    }
}
